<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sign Up 30.35</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="jumbotron signup-form mx-auto col-sm-6">
                <div class="form-group">
                    <h2>Sign Up</h2>
                </div>
                <div class="form-group">
                    <p class="hint-text">Please fill in this form to create account</p>
                </div>
                <div class="form-group">
                    <hr>
                </div>
                <div class="form-group">
                    <div class="row">
                        <div class="col">
                            <input type="text" class="form-control" id="inp-firstname" placeholder="First Name">
                        </div>
                        <div class="col">
                            <input type="text" class="form-control" id="inp-lastname" placeholder="Last Name">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <input type="email" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" id="inp-password" placeholder="Password">
                </div>
                <div class="form-group">
                    <input type="password" class="form-control" id="inp-confirm" placeholder="Confirm Password">
                </div>
                <div class="form-group">
                    <input type="checkbox" id="inp-checkbox" placeholder="Email"> I accept the
                    <a href="#">Terms of Use</a> &amp;
                    <a href="#">Privacy Policy</a>
                    <p id="p-agree-feedback" class="invalid-feedback">You must accept before submitting.</p>
                </div>
                <div class="form-group">
                    <button id="btn-sign-up" class="btn btn-primary btn-lg">Sign Up</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    //REGION 1

    //REGION 2
    $("#btn-sign-up").on('click', function(){
        onBtnSignUpClick();
    })
    //REGION 3
    function onBtnSignUpClick(){
        //b1 khai báo biến lưu dữ liệu và thu thập dữ liệu
        var vUserObj = {
            firstName: "",
            lastName: "",
            email: "",
            password: "",
            confirmPassword: "",
            iAccept: false
        }
        getDataUser(vUserObj);
        //b2 kiểm tra dữ liệu
        var vIsCheck = validateUserObj(vUserObj);
        if(vIsCheck){
            //b3 hiển thị thông tin
            displayInformationUserObjConsole(vUserObj);
        }
        
    }
    //REGION 4
    //hàm thu thập dữ liệu
    function getDataUser(paramUser){
        var vElementIpnFirstName = $("#inp-firstname")
        paramUser.firstName = vElementIpnFirstName.val().trim();

        var vElementIpnLastName = $("#inp-lastname");
        paramUser.lastName = vElementIpnLastName.val().trim();

        var vElementInpEmail = $("#inp-email");
        paramUser.email = vElementInpEmail.val().trim();

        var vElementPassword = $("#inp-password");
        paramUser.password = vElementPassword.val().trim();

        var vElementConfirmPassword = $("#inp-confirm");
        paramUser.confirmPassword = vElementConfirmPassword.val().trim();

        var vIsChecked = $('#inp-checkbox').is(':checked');
        paramUser.iAccept = vIsChecked
    };
    //hàm kiểm tra dữ liệu
    function validateUserObj(paramUseObj){
        if(paramUseObj.firstName == ""){
            alert("Bạn phải nhập First Name");
            $("#inp-firstname").focus();
            return false;
        }
        if(paramUseObj.lastName == ""){
            alert("Bạn phải nhập Last Name");
            $("#inp-lastname").focus();
            return false;
        }
        if(paramUseObj.email == ""){
            alert("Bạn phải nhập Email");
            $("#inp-email").focus();
            return false;
        }
        if(paramUseObj.password == ""){
            alert("Bạn phải nhập password");
            $("#inp-password").focus();
            return false;
        }
        if(paramUseObj.confirmPassword == ""){
            alert("Bạn phải nhập confirm password");
            $("#inp-confirm").focus();
            return false;
        }
        if(!paramUseObj.iAccept){
            alert("Bạn chưa chọn I Accept");
            return false;
        }
        return true;
    };
    // hàm hiển thị thông tin User trên form ra console
    function displayInformationUserObjConsole(paramUserObj){
        console.log(paramUserObj.firstName);
        console.log(paramUserObj.lastName);
        console.log(paramUserObj.email);
        console.log(paramUserObj.password);
        console.log(paramUserObj.confirmPassword);
    }
</script>
</html>